Redmine - Feature #971

Add "Spent time" column to query
2008-04-01 08:35 - Maxim Krusina

Status: Closed Start date: 2008-04-01
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 20%
Category: Issues Estimated time: 0.00 hour
Target version: 1.4.0

Resolution: Fixed

Description

I need to have custom qury for issues, which shows estimated time (it's possible now) and currently spent time (unfortunately there is
no spent time column to add)

Related issues:

Related to Redmine - Patch #1582: Add Time Spent Column to Issue List Closed
Related to Redmine - Defect #9751: can't open issue list page and setting pag... Closed
Has duplicate Redmine - Feature #6503: Spent time column in issue listing Closed 2010-09-27
Has duplicate Redmine - Feature #8695: add informations in Issue page Closed 2011-06-27
Has duplicate Redmine - Feature #8983: Spent time column available in issue list Closed 2011-08-04

Associated revisions

Revision 8073 - 2011-12-04 17:43 - Jean-Philippe Lang

Makes spent time column available on the issue list (#971).

History

#1 - 2008-04-01 20:29 - Jean-Philippe Lang
- File spent_time_column.patch added

- % Done changed from 0 to 20

Here is a simple patch that adds this column.
| do not commit this patch in trunk since it doesn't take care of the 'view time entries' permission (anyone can add the column).

#2 - 2010-02-08 12:41 - Amil Waduwawara
Jean-Philippe Lang wrote:
Here is a simple patch that adds this column.
| do not commit this patch in trunk since it doesn't take care of the 'view time entries' permission (anyone can add the column).
Dear Jean-Philippe Lang,
This patch doesn't apply for Redmine v0.9.2. "Spent Time" is not available in Fields list of Custom Queries either.
Any update?

Regards.
Amil.

#3 - 2010-04-28 10:58 - Nikolay Kotlyarov

it is rather frustrating having the "estimated" column and not having a "spent" column:(

+1!

#4 - 2010-06-21 22:33 - David Parker

+1

#5 - 2010-06-30 17:25 - Mark Hagers
+1

#6 - 2010-10-29 17:48 - Jeremy Walker

+1

#7 - 2010-10-29 17:49 - Jeremy Walker
http://stackoverflow.com/questions/321403/redmine-add-spent-time-field-to-issues-display

#8 - 2011-02-28 10:57 - Etienne Massip

- Target version set to Candidate for next major release

#9 - 2011-03-14 13:13 - Carlos Serrano

+1

#10 - 2011-03-16 16:38 - Alfredo Bonilla

+1

#11 - 2011-03-18 17:40 - Maxim Nikolaevich

+1

| can't use this code for 1.1.2 redmine release.
Somebody did that for 1.1.2 release?

#12 - 2011-03-25 15:50 - Frangcois Mommens

+1

#13 - 2011-04-07 17:52 - Albert M

+1

#14 - 2011-04-14 22:08 - Jared Fine

+1

#15 - 2011-05-05 10:51 - Giovani Spagnolo

+1

#16 - 2011-05-24 21:26 - Jon Karnofsky

+1

#17 - 2011-05-31 11:08 - Radek Karban
+2

#18 - 2011-06-27 09:27 - Pavel Vorobiev

Very useful feature.
Please, include it in next release.

#19 - 2011-06-27 17:17 - Etienne Massip
- Subject changed from Add "Spent time" to custom query to Add "Spent time" to query

#20 - 2011-07-07 15:50 - John Frey
+1 please add ASAP

#21 - 2011-07-11 09:47 - Siegfried Vogel

+1

#22 - 2011-08-02 17:13 - diego oliveira pego

+1

#23 - 2011-08-22 14:33 - Jérome BATAILLE
http://stackoverflow.com/questions/321403/redmine-add-spent-time-field-to-issues-display

+1

#24 - 2011-09-16 11:42 - Dani Castaiios

+1

#25 - 2011-10-24 16:31 - Terence Mill
+1 2TRUNK

#26 - 2011-10-26 06:01 - Mischa The Evil

As mentioned the first time by Tony Marschall in #8559 note-4, there exists a plugin which provides this feature (along with some others) implemented
as it should (correctly checking permissions): Redmine spent time column. It's written by Jan Schulz-Hofen of plan.io.

I've started working on some improvements to make it better suitable for this issue in my fork of it:
https://github.com/MischaTheEvil/redmine_spent_time_column

#27 - 2011-10-26 10:39 - Mark Hagers

Mischa The Evil wrote:

As mentioned the first time by Tony Marschall in #8559 note-4, there exists a plugin which provides this feature (along with some others)
implemented as it should (correctly checking permissions): Redmine spent time column. It's written by Jan Schulz-Hofen of plan.io.

I've started working on some improvements to make it better suitable for this issue in my fork of it:
https://github.com/MischaTheEvil/redmine_spent_time_column

The reason why | (and apparently many others) are asking for this to be included in the standard distribution of redmine is that it is simply quite a
daunting task to get even a regular plugin installed properly, let alone a patch or experimental version of a plugin.

Yes instructions can be found on how to do this, but there are many versions which are often contradictory and it's very hard for people like me, who
are not very savvy with Ruby on Rails to find out which set of instructions apply to your setup. Having to upgrade your installation from time to time
makes this even more of a challenge.

Frankly, I'm quite glad | got redmine + a few plugins working properly now. | have tried in the past to install experimental stuff and on more than one
occasion spent the better part of a day just to get everything in proper working order again (without the extra feature). That is something | can't easily
justify to my employer.

Don't get me wrong, | am grateful to people who create great applications like redmine. | don't want to whine about not having this feature, and I'll be
content to just wait until someone finally finds the time to add it to the main branch, or provides a finished plugin with installation instructions easy
enough to follow for the likes of me.

But until that happens I'm not going to experiment with alpha or beta versions or patches or anything, | can't afford the risk of having the whole
installation go down again.

#28 - 2011-12-04 17:44 - Jean-Philippe Lang

- Subject changed from Add "Spent time" to query to Add "Spent time" column to query
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next major release to 1.4.0

- Resolution set to Fixed

Added in r8073.

Files

spent_time_column.patch 1.82 KB 2008-04-01 Jean-Philippe Lang
